Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Let's find portable.h during VPATH builds
[simgrid.git] / tools / tesh / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 bin_PROGRAMS = tesh$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(top_srcdir)/acmacro/dist-files.mk
48 subdir = tools/tesh
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
51         $(top_srcdir)/acmacro/compiler-flags.m4 \
52         $(top_srcdir)/acmacro/context.m4 \
53         $(top_srcdir)/acmacro/fancy_configury.m4 \
54         $(top_srcdir)/acmacro/flex.m4 \
55         $(top_srcdir)/acmacro/gras_arch.m4 \
56         $(top_srcdir)/acmacro/print_null.m4 \
57         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
58 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
59         $(ACLOCAL_M4)
60 mkinstalldirs = $(install_sh) -d
61 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
62 CONFIG_CLEAN_FILES =
63 am__installdirs = "$(DESTDIR)$(bindir)"
64 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
65 PROGRAMS = $(bin_PROGRAMS)
66 am_tesh_OBJECTS = run_context.$(OBJEXT) tesh.$(OBJEXT) buff.$(OBJEXT) \
67         signal.$(OBJEXT)
68 tesh_OBJECTS = $(am_tesh_OBJECTS)
69 tesh_DEPENDENCIES = $(top_builddir)/src/libgras.la
70 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
71 depcomp = $(SHELL) $(top_srcdir)/depcomp
72 am__depfiles_maybe = depfiles
73 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
74         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
75 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
76         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
77         $(AM_CFLAGS) $(CFLAGS)
78 CCLD = $(CC)
79 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
80         $(AM_LDFLAGS) $(LDFLAGS) -o $@
81 SOURCES = $(tesh_SOURCES)
82 DIST_SOURCES = $(tesh_SOURCES)
83 ETAGS = etags
84 CTAGS = ctags
85 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
86 ACLOCAL = @ACLOCAL@
87 ADDR2LINE = @ADDR2LINE@
88 AMDEP_FALSE = @AMDEP_FALSE@
89 AMDEP_TRUE = @AMDEP_TRUE@
90 AMTAR = @AMTAR@
91 AM_CFLAGS = -g
92 AR = @AR@
93 AS = @AS@
94 AUTOCONF = @AUTOCONF@
95 AUTOHEADER = @AUTOHEADER@
96 AUTOMAKE = @AUTOMAKE@
97 AWK = @AWK@
98 BASH = @BASH@
99 CC = @CC@
100 CCDEPMODE = @CCDEPMODE@
101 CFLAGS = @CFLAGS@
102 CPP = @CPP@
103 CPPFLAGS = @CPPFLAGS@
104 CXX = @CXX@
105 CXXCPP = @CXXCPP@
106 CXXDEPMODE = @CXXDEPMODE@
107 CXXFLAGS = @CXXFLAGS@
108 CYGPATH_W = @CYGPATH_W@
109 DEFS = @DEFS@
110 DEPDIR = @DEPDIR@
111 DLLTOOL = @DLLTOOL@
112 DOXYGEN = @DOXYGEN@
113 ECHO = @ECHO@
114 ECHO_C = @ECHO_C@
115 ECHO_N = @ECHO_N@
116 ECHO_T = @ECHO_T@
117 EGREP = @EGREP@
118 EXEEXT = @EXEEXT@
119 F77 = @F77@
120 FFLAGS = @FFLAGS@
121 FLEXML = @FLEXML@
122 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
123 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
124 GRAS_DEP = @GRAS_DEP@
125 GREP = @GREP@
126 GTNETS_CFLAGS = @GTNETS_CFLAGS@
127 GTNETS_LDFLAGS = @GTNETS_LDFLAGS@
128 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
129 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
130 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
131 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
132 INSTALL_DATA = @INSTALL_DATA@
133 INSTALL_PROGRAM = @INSTALL_PROGRAM@
134 INSTALL_SCRIPT = @INSTALL_SCRIPT@
135 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
136 LDFLAGS = @LDFLAGS@
137 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
138 LEX = @LEX@
139 LEXLIB = @LEXLIB@
140 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
141 LIBOBJS = @LIBOBJS@
142 LIBS = @LIBS@
143 LIBTOOL = @LIBTOOL@
144 LN_S = @LN_S@
145 LTLIBOBJS = @LTLIBOBJS@
146 MAINT = @MAINT@
147 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
148 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
149 MAKEINFO = @MAKEINFO@
150 MD5SUM = @MD5SUM@
151 OBJDUMP = @OBJDUMP@
152 OBJEXT = @OBJEXT@
153 PACKAGE = @PACKAGE@
154 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
155 PACKAGE_NAME = @PACKAGE_NAME@
156 PACKAGE_STRING = @PACKAGE_STRING@
157 PACKAGE_TARNAME = @PACKAGE_TARNAME@
158 PACKAGE_VERSION = @PACKAGE_VERSION@
159 PATH_SEPARATOR = @PATH_SEPARATOR@
160 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
161 RANLIB = @RANLIB@
162 SET_MAKE = @SET_MAKE@
163 SHELL = @SHELL@
164 SIMGRID_DEP = @SIMGRID_DEP@
165 STRIP = @STRIP@
166 USE_GTNETS_FALSE = @USE_GTNETS_FALSE@
167 USE_GTNETS_TRUE = @USE_GTNETS_TRUE@
168 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
169 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
170 VERSION = @VERSION@
171 WARNING = @WARNING@
172 abs_builddir = @abs_builddir@
173 abs_srcdir = @abs_srcdir@
174 abs_top_builddir = @abs_top_builddir@
175 abs_top_srcdir = @abs_top_srcdir@
176 ac_configure_args = @ac_configure_args@
177 ac_ct_CC = @ac_ct_CC@
178 ac_ct_CXX = @ac_ct_CXX@
179 ac_ct_F77 = @ac_ct_F77@
180 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
181 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
182 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
183 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
184 am__include = @am__include@
185 am__leading_dot = @am__leading_dot@
186 am__quote = @am__quote@
187 am__tar = @am__tar@
188 am__untar = @am__untar@
189 bindir = @bindir@
190 build = @build@
191 build_alias = @build_alias@
192 build_cpu = @build_cpu@
193 build_id = @build_id@
194 build_os = @build_os@
195 build_vendor = @build_vendor@
196 datadir = @datadir@
197 datarootdir = @datarootdir@
198 docdir = @docdir@
199 dvidir = @dvidir@
200 exec_prefix = @exec_prefix@
201 host = @host@
202 host_alias = @host_alias@
203 host_cpu = @host_cpu@
204 host_os = @host_os@
205 host_vendor = @host_vendor@
206 htmldir = @htmldir@
207 includedir = @includedir@
208 infodir = @infodir@
209 install_sh = @install_sh@
210 libdir = @libdir@
211 libexecdir = @libexecdir@
212 localedir = @localedir@
213 localstatedir = @localstatedir@
214 mandir = @mandir@
215 mkdir_p = @mkdir_p@
216 oldincludedir = @oldincludedir@
217 pdfdir = @pdfdir@
218 prefix = @prefix@
219 program_transform_name = @program_transform_name@
220 psdir = @psdir@
221 pth_skaddr_makecontext = @pth_skaddr_makecontext@
222 pth_sksize_makecontext = @pth_sksize_makecontext@
223 sbindir = @sbindir@
224 sharedstatedir = @sharedstatedir@
225 sysconfdir = @sysconfdir@
226 target = @target@
227 target_alias = @target_alias@
228 target_cpu = @target_cpu@
229 target_os = @target_os@
230 target_vendor = @target_vendor@
231 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src/include -I$(top_srcdir)/src
232 tesh_SOURCES = run_context.c run_context.h tesh.c tesh.h buff.h buff.c signal.c
233 tesh_LDADD = $(top_builddir)/src/libgras.la 
234 TESTS_ENVIRONMENT = ./tesh
235 TESTS = basic.tesh  cd.tesh \
236       IO-broken-pipe.tesh IO-orders.tesh IO-bigsize.tesh \
237       set-return.tesh   set-signal.tesh   set-timeout.tesh   set-ignore-output.tesh\
238       catch-return.tesh catch-signal.tesh catch-timeout.tesh \
239       catch-wrong-output.tesh \
240       bg-basic.tesh bg-set-signal.tesh background.tesh
241
242 all: all-am
243
244 .SUFFIXES:
245 .SUFFIXES: .c .lo .o .obj
246 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
247         @for dep in $?; do \
248           case '$(am__configure_deps)' in \
249             *$$dep*) \
250               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
251                 && exit 0; \
252               exit 1;; \
253           esac; \
254         done; \
255         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tools/tesh/Makefile'; \
256         cd $(top_srcdir) && \
257           $(AUTOMAKE) --gnu  tools/tesh/Makefile
258 .PRECIOUS: Makefile
259 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
260         @case '$?' in \
261           *config.status*) \
262             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
263           *) \
264             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
265             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
266         esac;
267
268 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
269         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
270
271 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
272         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
273 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
274         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
275 install-binPROGRAMS: $(bin_PROGRAMS)
276         @$(NORMAL_INSTALL)
277         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
278         @list='$(bin_PROGRAMS)'; for p in $$list; do \
279           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
280           if test -f $$p \
281              || test -f $$p1 \
282           ; then \
283             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
284            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
285            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
286           else :; fi; \
287         done
288
289 uninstall-binPROGRAMS:
290         @$(NORMAL_UNINSTALL)
291         @list='$(bin_PROGRAMS)'; for p in $$list; do \
292           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
293           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
294           rm -f "$(DESTDIR)$(bindir)/$$f"; \
295         done
296
297 clean-binPROGRAMS:
298         @list='$(bin_PROGRAMS)'; for p in $$list; do \
299           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
300           echo " rm -f $$p $$f"; \
301           rm -f $$p $$f ; \
302         done
303 tesh$(EXEEXT): $(tesh_OBJECTS) $(tesh_DEPENDENCIES) 
304         @rm -f tesh$(EXEEXT)
305         $(LINK) $(tesh_LDFLAGS) $(tesh_OBJECTS) $(tesh_LDADD) $(LIBS)
306
307 mostlyclean-compile:
308         -rm -f *.$(OBJEXT)
309
310 distclean-compile:
311         -rm -f *.tab.c
312
313 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/buff.Po@am__quote@
314 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run_context.Po@am__quote@
315 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/signal.Po@am__quote@
316 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tesh.Po@am__quote@
317
318 .c.o:
319 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
320 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
321 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
322 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
323 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
324
325 .c.obj:
326 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
327 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
328 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
329 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
330 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
331
332 .c.lo:
333 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
334 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
335 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
336 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
337 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
338
339 mostlyclean-libtool:
340         -rm -f *.lo
341
342 clean-libtool:
343         -rm -rf .libs _libs
344
345 distclean-libtool:
346         -rm -f libtool
347 uninstall-info-am:
348
349 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
350         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
351         unique=`for i in $$list; do \
352             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
353           done | \
354           $(AWK) '    { files[$$0] = 1; } \
355                END { for (i in files) print i; }'`; \
356         mkid -fID $$unique
357 tags: TAGS
358
359 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
360                 $(TAGS_FILES) $(LISP)
361         tags=; \
362         here=`pwd`; \
363         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
364         unique=`for i in $$list; do \
365             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
366           done | \
367           $(AWK) '    { files[$$0] = 1; } \
368                END { for (i in files) print i; }'`; \
369         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
370           test -n "$$unique" || unique=$$empty_fix; \
371           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
372             $$tags $$unique; \
373         fi
374 ctags: CTAGS
375 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
376                 $(TAGS_FILES) $(LISP)
377         tags=; \
378         here=`pwd`; \
379         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
380         unique=`for i in $$list; do \
381             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
382           done | \
383           $(AWK) '    { files[$$0] = 1; } \
384                END { for (i in files) print i; }'`; \
385         test -z "$(CTAGS_ARGS)$$tags$$unique" \
386           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
387              $$tags $$unique
388
389 GTAGS:
390         here=`$(am__cd) $(top_builddir) && pwd` \
391           && cd $(top_srcdir) \
392           && gtags -i $(GTAGS_ARGS) $$here
393
394 distclean-tags:
395         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
396
397 check-TESTS: $(TESTS)
398         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
399         srcdir=$(srcdir); export srcdir; \
400         list='$(TESTS)'; \
401         if test -n "$$list"; then \
402           for tst in $$list; do \
403             if test -f ./$$tst; then dir=./; \
404             elif test -f $$tst; then dir=; \
405             else dir="$(srcdir)/"; fi; \
406             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
407               all=`expr $$all + 1`; \
408               case " $(XFAIL_TESTS) " in \
409               *" $$tst "*) \
410                 xpass=`expr $$xpass + 1`; \
411                 failed=`expr $$failed + 1`; \
412                 echo "XPASS: $$tst"; \
413               ;; \
414               *) \
415                 echo "PASS: $$tst"; \
416               ;; \
417               esac; \
418             elif test $$? -ne 77; then \
419               all=`expr $$all + 1`; \
420               case " $(XFAIL_TESTS) " in \
421               *" $$tst "*) \
422                 xfail=`expr $$xfail + 1`; \
423                 echo "XFAIL: $$tst"; \
424               ;; \
425               *) \
426                 failed=`expr $$failed + 1`; \
427                 echo "FAIL: $$tst"; \
428               ;; \
429               esac; \
430             else \
431               skip=`expr $$skip + 1`; \
432               echo "SKIP: $$tst"; \
433             fi; \
434           done; \
435           if test "$$failed" -eq 0; then \
436             if test "$$xfail" -eq 0; then \
437               banner="All $$all tests passed"; \
438             else \
439               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
440             fi; \
441           else \
442             if test "$$xpass" -eq 0; then \
443               banner="$$failed of $$all tests failed"; \
444             else \
445               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
446             fi; \
447           fi; \
448           dashes="$$banner"; \
449           skipped=""; \
450           if test "$$skip" -ne 0; then \
451             skipped="($$skip tests were not run)"; \
452             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
453               dashes="$$skipped"; \
454           fi; \
455           report=""; \
456           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
457             report="Please report to $(PACKAGE_BUGREPORT)"; \
458             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
459               dashes="$$report"; \
460           fi; \
461           dashes=`echo "$$dashes" | sed s/./=/g`; \
462           echo "$$dashes"; \
463           echo "$$banner"; \
464           test -z "$$skipped" || echo "$$skipped"; \
465           test -z "$$report" || echo "$$report"; \
466           echo "$$dashes"; \
467           test "$$failed" -eq 0; \
468         else :; fi
469
470 distdir: $(DISTFILES)
471         $(mkdir_p) $(distdir)/../../acmacro
472         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
473         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
474         list='$(DISTFILES)'; for file in $$list; do \
475           case $$file in \
476             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
477             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
478           esac; \
479           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
480           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
481           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
482             dir="/$$dir"; \
483             $(mkdir_p) "$(distdir)$$dir"; \
484           else \
485             dir=''; \
486           fi; \
487           if test -d $$d/$$file; then \
488             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
489               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
490             fi; \
491             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
492           else \
493             test -f $(distdir)/$$file \
494             || cp -p $$d/$$file $(distdir)/$$file \
495             || exit 1; \
496           fi; \
497         done
498 check-am: all-am
499         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
500 check: check-am
501 all-am: Makefile $(PROGRAMS)
502 installdirs:
503         for dir in "$(DESTDIR)$(bindir)"; do \
504           test -z "$$dir" || $(mkdir_p) "$$dir"; \
505         done
506 install: install-am
507 install-exec: install-exec-am
508 install-data: install-data-am
509 uninstall: uninstall-am
510
511 install-am: all-am
512         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
513
514 installcheck: installcheck-am
515 install-strip:
516         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
517           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
518           `test -z '$(STRIP)' || \
519             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
520 mostlyclean-generic:
521
522 clean-generic:
523
524 distclean-generic:
525         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
526
527 maintainer-clean-generic:
528         @echo "This command is intended for maintainers to use"
529         @echo "it deletes files that may require special tools to rebuild."
530 clean: clean-am
531
532 clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
533
534 distclean: distclean-am
535         -rm -rf ./$(DEPDIR)
536         -rm -f Makefile
537 distclean-am: clean-am distclean-compile distclean-generic \
538         distclean-libtool distclean-tags
539
540 dvi: dvi-am
541
542 dvi-am:
543
544 html: html-am
545
546 info: info-am
547
548 info-am:
549
550 install-data-am:
551
552 install-exec-am: install-binPROGRAMS
553
554 install-info: install-info-am
555
556 install-man:
557
558 installcheck-am:
559
560 maintainer-clean: maintainer-clean-am
561         -rm -rf ./$(DEPDIR)
562         -rm -f Makefile
563 maintainer-clean-am: distclean-am maintainer-clean-generic
564
565 mostlyclean: mostlyclean-am
566
567 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
568         mostlyclean-libtool
569
570 pdf: pdf-am
571
572 pdf-am:
573
574 ps: ps-am
575
576 ps-am:
577
578 uninstall-am: uninstall-binPROGRAMS uninstall-info-am
579
580 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
581         clean-binPROGRAMS clean-generic clean-libtool ctags distclean \
582         distclean-compile distclean-generic distclean-libtool \
583         distclean-tags distdir dvi dvi-am html html-am info info-am \
584         install install-am install-binPROGRAMS install-data \
585         install-data-am install-exec install-exec-am install-info \
586         install-info-am install-man install-strip installcheck \
587         installcheck-am installdirs maintainer-clean \
588         maintainer-clean-generic mostlyclean mostlyclean-compile \
589         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
590         tags uninstall uninstall-am uninstall-binPROGRAMS \
591         uninstall-info-am
592
593
594 $(top_builddir)/src/libsimgrid.la: 
595         make -C $(top_builddir)/src libsimgrid.la
596
597 dist-files:
598         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
599         @echo
600         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
601 # Tell versions [3.59,3.63) of GNU make to not export all variables.
602 # Otherwise a system limit (for SysV at least) may be exceeded.
603 .NOEXPORT: